> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a team

> 
  Creates a new team with the provided details.

  If no team admin is specified, the user making the request will be set as the team admin by default.

  <Warning>
  **Restricted Endpoint**: This endpoint is built for Forestreet administration purposes only. It is not intended for public use and should not be accessed by non-administrators.
  If you believe you need access to this endpoint for legitimate reasons, please contact Forestreet support.

  We do not provide external support for this endpoint unless permissions had been negotiated in your contract.
  </Warning>
  



## OpenAPI

````yaml post /v2/teams
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/teams:
    post:
      tags:
        - Teams
      summary: Create a team
      description: |2-

          Creates a new team with the provided details.

          If no team admin is specified, the user making the request will be set as the team admin by default.

          <Warning>
          **Restricted Endpoint**: This endpoint is built for Forestreet administration purposes only. It is not intended for public use and should not be accessed by non-administrators.
          If you believe you need access to this endpoint for legitimate reasons, please contact Forestreet support.

          We do not provide external support for this endpoint unless permissions had been negotiated in your contract.
          </Warning>
          
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                domain:
                  type: string
                maxUsersCount:
                  type: integer
                  minimum: 0
                  exclusiveMinimum: true
                teamAdmin:
                  type: string
                  format: uuid
                theme:
                  type: string
                  nullable: true
                explorerPermissions:
                  type: object
                  properties:
                    table:
                      type: boolean
                    bubble:
                      type: boolean
                    events:
                      type: boolean
                    feature-fit:
                      type: boolean
                  description: Permission settings for explorer features.
                featurePermissions:
                  type: array
                  items:
                    type: string
                    enum:
                      - notes
                      - rapidReview
                      - createTopic
                      - createStudy
                      - insights
                      - editStudy
                      - viewStudyStatus
                      - manageTeams
                      - editFeatureArchitecture
                      - viewFeatureArchitecture
                      - phraseSearch
                isDemo:
                  type: boolean
                  nullable: true
                teamQuotas:
                  type: object
                  properties:
                    startDiscovery:
                      type: integer
                      nullable: true
                      description: Quota for starting discoveries. Null means unlimited.
                    createSupplierDossier:
                      type: integer
                      nullable: true
                      description: >-
                        Quota for creating supplier dossiers. Null means
                        unlimited.
                  required:
                    - startDiscovery
                    - createSupplierDossier
                  description: Quota information for a team.
              required:
                - name
                - domain
                - maxUsersCount
                - explorerPermissions
                - featurePermissions
                - teamQuotas
      responses:
        '200':
          description: Team created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Unique identifier of the team.
                  name:
                    type: string
                    nullable: true
                    description: Name of the team.
                  domain:
                    type: string
                    nullable: true
                    description: Domain of the team.
                  adminId:
                    type: string
                    format: uuid
                    description: Admin ID of the team.
                  filePath:
                    type: string
                    nullable: true
                    description: File path for the team.
                  explorerPermissions:
                    type: object
                    properties:
                      table:
                        type: boolean
                      bubble:
                        type: boolean
                      events:
                        type: boolean
                      feature-fit:
                        type: boolean
                    description: Permission settings for explorer features.
                  featurePermissions:
                    type: object
                    properties:
                      notes:
                        type: boolean
                      rapidReview:
                        type: boolean
                      createTopic:
                        type: boolean
                      createStudy:
                        type: boolean
                      insights:
                        type: boolean
                      editStudy:
                        type: boolean
                      viewStudyStatus:
                        type: boolean
                      manageTeams:
                        type: boolean
                      editFeatureArchitecture:
                        type: boolean
                      viewFeatureArchitecture:
                        type: boolean
                      phraseSearch:
                        type: boolean
                    default: {}
                    description: Feature permissions for the team (boolean map).
                  accessExpired:
                    type: number
                    description: Access expiration status.
                  maxUsers:
                    type: number
                    description: Maximum number of users allowed.
                  isDemo:
                    type: number
                    description: Demo status of the team.
                  isDefault:
                    type: number
                    description: Default state of the team.
                  theme:
                    type: string
                    nullable: true
                    description: Theme settings for the team.
                  teamQuotas:
                    type: object
                    properties:
                      startDiscovery:
                        type: integer
                        nullable: true
                        description: Quota for starting discoveries. Null means unlimited.
                      createSupplierDossier:
                        type: integer
                        nullable: true
                        description: >-
                          Quota for creating supplier dossiers. Null means
                          unlimited.
                    required:
                      - startDiscovery
                      - createSupplierDossier
                    description: Quota information for a team.
                required:
                  - id
                  - name
                  - domain
                  - adminId
                  - filePath
                  - explorerPermissions
                  - accessExpired
                  - maxUsers
                  - isDemo
                  - theme
                  - teamQuotas
        '400':
          description: Bad Request - Invalid input
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                INVALID_INPUT:
                  value:
                    success: false
                    errorCode: INVALID_INPUT
                    message: Bad Request - Invalid input
        '403':
          description: Forbidden - User does not have permission to create a team
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  errorCode:
                    type: string
                    enum:
                      - USER_NOT_CONFIRMED
                      - INVALID_CREDENTIALS
                      - INCOMPLETE_CREDENTIALS
                      - INVALID_SESSION_TOKEN
                      - FORCE_CHANGE_PASSWORD
                      - PASSWORD_RESET_REQUIRED
                      - PASSWORD_EXPIRED
                      - CODE_EXPIRED
                      - SESSION_EXPIRED
                      - UNAUTHORISED
                      - AUTHENTICATOR_ERROR
                      - SSO_ACCOUNT
                      - FORBIDDEN
                      - METHOD_NOT_ALLOWED
                      - INVALID_INPUT
                      - PATH_VALIDATION_FAILED
                      - QUERY_VALIDATION_FAILED
                      - BODY_VALIDATION_FAILED
                      - RESPONSE_VALIDATION_FAILED
                      - INVALID_OR_MALFORMED_JSON
                      - INTERNAL_SERVER_ERROR
                      - CONFIGURATION_ERROR
                      - SERVICE_UNAVAILABLE
                      - NOT_FOUND
                      - CONFLICT
                      - LIMIT_EXCEEDED
                      - REVIEW_ALREADY_PENDING
                      - REVIEW_NOT_PENDING
                      - REVIEW_PENDING
                      - REVIEW_INSUFFICIENT_DOMAINS
                      - QUOTA_EXCEEDED
                      - UNSUPPORTED_ENDPOINT_VERSION
                      - ENDPOINT_NOT_FOUND
                      - ENDPOINT_ALREADY_EXISTS
                  message:
                    type: string
                  detail:
                    type: object
                    additionalProperties:
                      nullable: true
                required:
                  - success
                  - errorCode
              examples:
                FORBIDDEN:
                  value:
                    success: false
                    errorCode: FORBIDDEN
                    message: Forbidden - User does not have permission to create a team
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````